<?php $pageTitle='Container type: '.$data['name'];
include realpath(__DIR__).'/../../core/_common/header.php'; 
$sharedProject=project::getByName(project::SHARED);
$sharedProjectId=$sharedProject['id'];
?>
<script type="text/javascript">

document.observe("dom:loaded",function(){
	var grid=ui.grid();
	var detailsBox=grid.box({ 
		classes:'r1 c1 h3 w1',
		title:'Details'
	});

	var frm=detailsBox.form({
		action:'/api/containertype/'+data['id'],
		method:'post',
	});
	frm.hiddenField('projectid',<?php echo $sharedProjectId; ?>);
	frm.textField({ label:"Name", name:'name' });
	frm.textField({ label:"Positions", name:'positions' });
	frm.formField({ label:"Category", content:'<a href="/containercategory/'+data.containercategoryid+'">'+data.containercategoryname+'</a>' });

	var ts=grid.tabSet({ classes:'r1 c2 w2 h3' });
	ts.tab({
		'label':'Containers',
		'url':'/api/container/containertypeid/'+data.id+'',
		'sortby':'name',
		'sortdescending':'yes',
		'headers':['Name'],
		'cellTemplates':['<a href="/container/{{id}}">{{name}}</a>']
	});
	ts.filesTab();
	ts.notesTab();
		
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php'; ?>
